Contenu | Rechercher | Menus

Annonce

Ubuntu-fr.org recrute toujours de nouveaux modérateurs, avec de l'expérience.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez vous et reconnectez vous depuis ce lien en cochant le case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 05/12/2012, à 17:01

FlynnV

[Résolu] Eclipse, JDK et JRE

Bonjour,

Voilà, j'aimerais compiler un projet que j'ai récupéré (c'est un jeu) afin de le modifier, le problème c'est que je n'arrive pas à le compiler sous forme applet java...pourtant pas de pb sous windows. EN fait, c'est applet qui n'est pas initialisé...

J'ai pourtant installé l'openJDK et l'openJRE, mais j'aimerais savoir s'il y a moyen d'installer les JDK et JRE de JAVA, car je pense que le problème vient de là...

Voici les erreurs :

java.lang.UnsupportedClassVersionError: projet : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:314)
    at sun.applet.AppletClassLoader.loadClass(AppletClassLoader.java:146)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
    at sun.applet.AppletClassLoader.loadCode(AppletClassLoader.java:608)
    at sun.applet.AppletPanel.createApplet(AppletPanel.java:798)
    at sun.applet.AppletPanel.runLoader(AppletPanel.java:727)
    at sun.applet.AppletPanel.run(AppletPanel.java:380)
    at java.lang.Thread.run(Thread.java:679)

Merci

Dernière modification par FlynnV (Le 05/12/2012, à 18:14)

Hors ligne

#2 Le 05/12/2012, à 18:02

FlynnV

Re : [Résolu] Eclipse, JDK et JRE

En installant Oracle Java 7, Eclipse ne fonctionne plus, erreur au lancement

Hors ligne

#3 Le 05/12/2012, à 18:14

FlynnV

Re : [Résolu] Eclipse, JDK et JRE

Désolé pour le triple poste...Mais j'ai résolu mon problème en prenant la version faites pour Linux sur le site d’eclipse et pour la moment ça fonctionne, merci big_smile

Hors ligne